Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jserv
Interface JServLogChannels

All Known Implementing Classes:
  JServ, JServContext, JServSTMStore, JServConnection, JServSession, JServServletManager

public abstract interface JServLogChannels

Changes made before 1.0.1 release to log messages by severity, not by the portion of code they occur in. (Michal)

Field Summary
`static java.lang.String` | `CH_CONTAINER_EXCEPTION` Container (i.e.
`static java.lang.String` | `CH_CRITICAL` Critical messages that stop further processing.
`static java.lang.String` | `CH_DEBUG` Debugging messages
`static java.lang.String` | `CH_INFO` Informational messages
`static java.lang.String` | `CH_SERVLET_EXCEPTION` Exceptions internal to servlets (thrown in servlet.service())
`static java.lang.String` | `CH_SERVLET_LOG` Servlet log channel identifier.
`static java.lang.String` | `CH_WARNING` Warnings, i.e.

Field Detail

### CH_DEBUG

    public static final java.lang.String CH_DEBUG

  Debugging messages

### CH_INFO

    public static final java.lang.String CH_INFO

  Informational messages

### CH_SERVLET_EXCEPTION

    public static final java.lang.String CH_SERVLET_EXCEPTION

  Exceptions internal to servlets (thrown in servlet.service())

### CH_CONTAINER_EXCEPTION

    public static final java.lang.String CH_CONTAINER_EXCEPTION

  Container (i.e. jserv) level exceptions

### CH_WARNING

    public static final java.lang.String CH_WARNING

  Warnings, i.e. messages of "something wrong" style that however don't stop JServ

### CH_SERVLET_LOG

    public static final java.lang.String CH_SERVLET_LOG

  Servlet log channel identifier. Messages logged by the actual servlets are logged using this channel.

### CH_CRITICAL

    public static final java.lang.String CH_CRITICAL

  Critical messages that stop further processing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD